routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'HomeController@index')->name('main');

Auth::routes();

Route::group([
    'middleware'=>['auth']
], function () {
    Route::resource('admin/news', 'Admin\NewsController')->names('admin.news');

});

app/News.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;


class News extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'title', 'text', 'author',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */

}

app/User.php
<?php

namespace App;

use Illuminate\Notifications\Notifiable;
use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;

class User extends Authenticatable
{
    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password',
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];
}

app/Http/Controllers/Admin/NewsController.php
<?php

namespace App\Http\Controllers\Admin;


use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\News;
use Illuminate\Validation\ValidationException;

class NewsController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $perpage = 10;
        $count = News::all()->count();
        $paginator = News::paginate($perpage);
        return view('admin.news.index', compact('count', 'paginator'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('admin.news.add');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'title' => 'required|max:255',
            'text' => 'required|max:400',
        ]);

        $result = News::create([
            'title' => $request['title'],
            'text' => $request['text'],
            'author' => auth()->user()->name,
        ]);

        if (!$result) {
            session()->flash('danger', 'Ошибка Создания');
            return back();

        } else {
            session()->flash('success', 'Новость успешно создана');
            return redirect()
                ->route('admin.news.index');
        }

    }

    /**
     * Display the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $edit = News::find($id);
        return view('admin.news.edit', compact('edit'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $this->validate($request, [
            'title' => 'required|max:255',
            'text' => 'required|max:400',
        ]);

        $result = News::find($id);

        $result->title = $request['title'];
        $result->text = $request['text'];
        $save = $result->save();

        if (!$save) {
            session()->flash('danger', 'Ошибка Создания');
            return back();
        } else {
            session()->flash('success', 'Успешно отредактировано');

            return redirect()->route('admin.news.index');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param int $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $del = News::find($id);
        $result = $del->forceDelete();
        if (!$result) {
            session()->flash('danger', 'Ошибка Удаления');
            return back();

        } else {
            session()->flash('success', 'Успешно удалено');
            return redirect()
                ->route('admin.news.index');


        }
    }

}

app/Http/Controllers/Controller.php
<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;
}

app/Http/Controllers/HomeController.php
<?php

namespace App\Http\Controllers;

use App\News;

class HomeController extends Controller
{

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {

        $perpage = 10;
        $count = News::all()->count();
        $paginator = News::paginate($perpage);
        return view('welcome', compact('count', 'paginator'));

         }
}

resources/views/admin/news/add.blade.php
@extends('layouts.app_admin')


@section('content')
    @if (session()->has('success'))
        <p class="alert alert-success">{{session()->get('success')}}</p>
    @endif

    @if (session()->has('warning'))
        <p class="alert alert-warning">{{session()->get('warning')}}</p>
    @endif
    @if (session()->has('danger'))
        <p class="alert alert-danger">{{session()->get('dander')}}</p>
    @endif

    @if ($errors->any())

        @foreach ($errors->all() as $error)
            <script>
                iziToast.error({timeout: 5000, position: 'topCenter',  icon: 'fa fa-exclamation-triangle', title: 'Ошибка.', message: "{{$error}}"});
            </script>
        @endforeach

    @endif





    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <!--для валидации data-toggle="validator"-->
                    <form action="{{route('admin.news.store')}}" method="post" data-toggle="validator">

                        @csrf
                        <div class="box-body">
                            <div class="row">
                                <div class="form-group col-md-3 has-feedback" >
                                    <label for="title">Заголовок
                                    </label>
                                    <input type="text" class="form-control" name="title" placeholder="Введите заголовок " required>
                                    <span class="glyphicon form-control-feedback" aria-hidden="true"></span>

                                </div>

                            </div>
                            <div class="row">
                                <div class="form-group col-md-6 has-feedback" >
                                    <label for="text">Текст новости
                                    </label>
                                    <input type="text" class="form-control" name="text" placeholder="Введите текст новости " required>
                                    <span class="glyphicon form-control-feedback" aria-hidden="true"></span>

                                </div>

                            </div>



                        </div>
                        <div class="box-footer">
                            <input type="hidden" name="id" value="">
                            <button type="submit" class="btn btn-primary">Сохранить</button>
                        </div>
                    </form>
                </div>


            </div>
        </div>
    </section>
    <!-- /.content -->



@endsection

resources/views/admin/news/edit.blade.php
@extends('layouts.app_admin')

@section('content')
    @if (session()->has('success'))
        <p class="alert alert-success">{{session()->get('success')}}</p>
    @endif

    @if (session()->has('warning'))
        <p class="alert alert-warning">{{session()->get('warning')}}</p>
    @endif
    @if (session()->has('danger'))
        <p class="alert alert-danger">{{session()->get('dander')}}</p>
    @endif

    @if ($errors->any())

        @foreach ($errors->all() as $error)
            <script>
                iziToast.error({timeout: 5000, position: 'topCenter',  icon: 'fa fa-exclamation-triangle', title: 'Ошибка.', message: "{{$error}}"});
            </script>
        @endforeach

    @endif





    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box">

                    <form action="{{route('admin.news.update', $edit->id)}}" method="post" data-toggle="validator">
                        @method('PUT')
                        @csrf
                        <div class="box-body">
                            <div class="row">
                            <div class="form-group col-md-3 has-feedback" >
                                <label for="title">Заголовок
                                </label>
                                <input type="text" class="form-control" name="title" placeholder="" value="{{$edit->title}}" required >
                                <span class="glyphicon form-control-feedback" aria-hidden="true"></span>
                            </div>
                            <div class="form-group col-md-6 has-feedback">
                                    <label for="">Текст</label>
                                    <input type="text" class="form-control" name="text" value="{{$edit->text}}"
                                           placeholder="Введите текст">
                                <span class="glyphicon form-control-feedback" aria-hidden="true"></span>
                                </div>



                            </div>
                            <div class="row">





                            </div>



                        </div>
                        <div class="box-footer">
                            <input type="hidden" name="id" value="">
                            <button type="submit" class="btn btn-primary">Сохранить изменения</button>
                        </div>
                    </form>
                </div>
              



            </div>
        </div>
    </section>
    <!-- /.content -->
@endsection

resources/views/admin/news/index.blade.php
@extends('layouts.app_admin')

@section('content')
    @if (session()->has('success'))
        <script>
            iziToast.success({timeout: 5000, position: 'topCenter',  icon: 'fa fa-check', title: 'Отлично.', message: "{{session()->get('success')}}"});
        </script>
    @endif

    @if (session()->has('warning'))
        <p class="alert alert-warning">{{session()->get('warning')}}</p>
    @endif
    @if (session()->has('danger'))
        <p class="alert alert-danger">{{session()->get('dander')}}</p>
    @endif

    @if ($errors->any())

        @foreach ($errors->all() as $error)
            <script>
                iziToast.error({timeout: 5000, position: 'topCenter',  icon: 'fa fa-exclamation-triangle', title: 'Ошибка.', message: "{{$error}}"});
            </script>
        @endforeach

    @endif



    <section class="content-header">




    </section>


    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-12">
                <div class="box">
                    <div class="box-body">
                        <div class="table-responsive">
                            <table class="table table-bordered table-hover">
                                <thead>
                                <tr>
                                    <th>Заголовок</th>
                                    <th>Автор</th>
                                    <th>Дата создания</th>

                                    <th>
                                        <form action="{{route('admin.news.create')}}">
                                        <button type="submit" class="btn btn-primary" style="float: right;">+ Добавить новость</button>
                                    </form>
                                    </th>


                                </tr>
                                </thead>

                                <tbody>
                                @forelse($paginator as $item)

                                    <tr>
                                        <td>{{$item->title}}</td>
                                        <td>{{$item->author}}</td>
                                        <td>{{$item->created_at}}</td>



                                        <td>
                                            <a href="{{route('admin.news.edit', $item->id)}}" title="редактировать новость"><i class="btn btn-xs"></i>
                                                <button type="submit" class="btn btn-success btn-xs">редактировать</button>
                                            </a>

                                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                                            <a class="btn btn-xs">
                                                <form method="post"  action="{{route('admin.news.destroy', $item->id)}}"

                                                      style="float: none">
                                                    @method('DELETE')
                                                    @csrf
                                                    <button type="submit" class="btn btn-danger btn-xs ">Удалить</button>
                                                </form>
                                            </a>

                                        </td>

                                    </tr>
                                @empty
                                    <tr>
                                        <td colspan="3" class="text-center"><h2>Нет записей</h2></td>
                                    </tr>
                                @endforelse
                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <p>{{count($paginator)}} записей из {{$count}} </p>

                            @if ($paginator->total() > $paginator->count())
                                <br>
                                <div class="row justify-content-center">
                                    <div class="col-md-12">
                                        <div class="card">
                                            <div class="card-body">
                                                {{$paginator->links()}}
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @endif

                        </div>
                    </div>
                </div>
            </div>
        </div>

    </section>
    <!-- /.content -->

@endsection

resources/views/home.blade.php
@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-8">
            <div class="card">
                <div class="card-header">Dashboard</div>

                <div class="card-body">
                    @if (session('status'))
                        <div class="alert alert-success" role="alert">
                            {{ session('status') }}
                        </div>
                    @endif

                    You are logged in!
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/layouts/app.blade.php
<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Scripts -->
    <script src="{{ asset('js/app.js') }}" defer></script>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{ asset('css/app.css') }}" rel="stylesheet">
</head>
<body>
    <div id="app">
        <nav class="navbar navbar-expand-md navbar-light bg-white shadow-sm">
            <div class="container">
                <a class="navbar-brand" href="{{ url('/') }}">
                    {{ config('app.name', 'Laravel') }}
                </a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="{{ __('Toggle navigation') }}">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <!-- Left Side Of Navbar -->
                    <ul class="navbar-nav mr-auto">

                    </ul>

                    <!-- Right Side Of Navbar -->
                    <ul class="navbar-nav ml-auto">
                        <!-- Authentication Links -->
                        @guest
                            <li class="nav-item">
                                <a class="nav-link" href="{{ route('login') }}">{{ __('Login') }}</a>
                            </li>
                            @if (Route::has('register'))
                                <li class="nav-item">
                                    <a class="nav-link" href="{{ route('register') }}">{{ __('Register') }}</a>
                                </li>
                            @endif
                        @else
                            <li class="nav-item dropdown">
                                <a id="navbarDropdown" class="nav-link dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" v-pre>
                                    {{ Auth::user()->name }} <span class="caret"></span>
                                </a>

                                <div class="dropdown-menu dropdown-menu-right" aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}"
                                       onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Logout') }}
                                    </a>

                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                </div>
            </div>
        </nav>

        <main class="py-4">
            @yield('content')
        </main>
    </div>
</body>
</html>

resources/views/layouts/app_admin.blade.php
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <link rel="shortcut icon" href="" type="image/png" />



    <title>АдминПанель</title>
	<!-- Tell the browser to be responsive to screen width -->
    <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
    <!-- Bootstrap 3.3.7 -->
    <link rel="stylesheet" href="{{asset('adminlte/bower_components/bootstrap/dist/css/bootstrap.min.css')}}">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="{{asset('adminlte/bower_components/font-awesome/css/font-awesome.min.css')}}">
    <!-- Ionicons -->
    <link rel="stylesheet" href="{{asset('adminlte/bower_components/Ionicons/css/ionicons.min.css')}}">
    <!-- Theme style -->
    <link rel="stylesheet" href="{{asset('adminlte/dist/css/AdminLTE.min.css')}}">
    <!-- AdminLTE Skins. Choose a skin from the css/skins
         folder instead of downloading all of them to reduce the load. -->
    <link rel="stylesheet" href="{{asset('adminlte/dist/css/skins/_all-skins.min.css')}}">


    <link rel="stylesheet" href="{{asset('css/iziToast.min.css')}}">
      <script src="{{asset('adminlte/bower_components/jquery/dist/jquery.min.js')}}"></script>
    <script src="{{asset('js/iziToast.min.js')}}"></script>





    <!-- Google Font -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,600,700,300italic,400italic,600italic">

<style>
    .wrapper{
        overflow:hidden;
    }
</style>

</head>
<body class="hold-transition skin-blue sidebar-mini">
<div class="wrapper">

    <header class="main-header">
        <!-- Logo -->
        <a href="" class="logo">
            <!-- mini logo for sidebar mini 50x50 pixels -->
            <span class="logo-mini"><b>N</b>P</span>
            <!-- logo for regular state and mobile devices -->
            <span class="logo-lg"><b>News</b> Panel</span>
        </a>
        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top ">
            <!-- Sidebar toggle button-->
            <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
                <span class="sr-only">Toggle navigation</span>
            </a>

            <div class="navbar-custom-menu ">


                    <ul class="nav navbar-nav">
                    <li class="dropdown user user-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <img src="{{asset('adminlte/dist/img/1.jpg')}}" class="user-image" alt="User Image">
                            <span class="hidden-xs">{{ucfirst (Auth::user()->name) }} </span>
                        </a>
                        <ul class="dropdown-menu">
                            <!-- User image -->
                            <li class="user-header">
                                <img src="{{asset('adminlte/dist/img/1.jpg')}}" class="img-circle" alt="User Image">
                                <p>
                                    {{ ucfirst(Auth::user()->name) }}
                                </p>
                            </li>
                            <!-- Menu Footer-->
                            <li class="user-footer">
                                <div class="pull-left">
                                </div>
                                <div class="pull-right">
                                    <a href="{{ route('logout') }}" onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();"
                                       class="btn btn-default btn-flat">Выйти</a>
                                    <form id="logout-form" action="{{ route('logout') }}" method="POST" style="display: none;">
                                        {{ csrf_field() }}
                                    </form>

                                </div>
                            </li>
                        </ul>
                    </li>
                    <!-- Control Sidebar Toggle Button -->

                </ul>
            </div>
        </nav>
    </header>
    <!-- Left side column. contains the logo and sidebar -->
    <aside class="main-sidebar">
        <!-- sidebar: style can be found in sidebar.less -->
        <section class="sidebar">
            <!-- Sidebar user panel -->
            <div class="user-panel">
                <div class="pull-left image">
                    <img src="{{asset('adminlte/dist/img/1.jpg')}}" class="img-circle" alt="User Image">
                </div>
                <div class="pull-left info">
                    <p>{{ ucfirst (Auth::user()->name) }} </p>
                    <a href="#"><i class="fa fa-circle text-success"></i> Online</a>
                </div>
            </div>

            <!-- sidebar menu: : style can be found in sidebar.less -->
            <ul class="sidebar-menu" data-widget="tree">


                <li class="">
                    <a href="{{route('main')}}"><i class="fa fa-list-ul"></i> <span>Главная</span></a>
                </li>
                <li class="">
                    <a href="{{route('admin.news.index')}}"><i class="fa fa-link"></i> <span>Все новости</span></a>
                </li>







            </ul>


        </section>
        <!-- /.sidebar -->
    </aside>

    <!-- Content Wrapper. Contains page content -->
    <div class="content-wrapper">

        <main id="app">

            @yield('content')
        </main>
    </div>
    <!-- /.content-wrapper -->
    <footer class="main-footer">
        <div class="pull-right hidden-xs">
            <b>Version</b> 1.0
        </div>
        <strong>Copyright &copy;Newa 2021  All rights reserved.</strong>
    </footer>

    <div class="control-sidebar-bg"></div>
</div>
<!-- ./wrapper -->

<!-- Bootstrap 3.3.7 -->
<script src="{{asset('adminlte/bower_components/bootstrap/dist/js/bootstrap.min.js')}}"></script>
<!-- Validator -->
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
<script src="{{asset('js/my.js')}}"></script>



<!-- Search -->

<!-- AdminLTE App -->
<script src="{{asset('adminlte/dist/js/adminlte.min.js')}}"></script>









<!-- === = ===  -->

</body>
</html>